Bug 1654263 - Non-admin user can't generate report if it has any user input
Summary: Non-admin user can't generate report if it has any user input
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 11:01 UTC by Lukáš Hellebrandt
Modified: 2019-10-07 17:19 UTC (History)
4 users (show)

Fixed In Version: foreman-1.20.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:09 UTC


Attachments (Terms of Use)
foreman-tail_output (294.09 KB, text/plain)
2018-11-28 11:01 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:16 UTC
Foreman Issue Tracker 25586 None None None 2018-11-29 15:48:14 UTC

Description Lukáš Hellebrandt 2018-11-28 11:01:27 UTC
Created attachment 1509444 [details]
foreman-tail_output

Description of problem:
Non-admin user can't generate report if it has any user input. Not even if they have all ready-made roles + reporting related rights. Reports without user inputs can be generated.

Version-Release number of selected component (if applicable):
Tested on Sat 6.5 snap 5

How reproducible:
Deterministic

Steps to Reproduce:
1. Create a user that is not admin, with correct taxonomies and all Roles
2. Log in as that user
3. Monitor -> Report Templates
4. Generate "Host statuses CSV"
5. Submit

Actual results:
1) Pop-up error:
"ERF47-7719 [TemplateInput::ValueNotReady]: Input 'hosts' is not ready for rendering"
2) Traceback (attached)

Expected results:
Report generated

Comment 3 Marek Hulan 2018-11-29 15:48:12 UTC
Created redmine issue https://projects.theforeman.org/issues/25586 from this bug

Comment 4 Lukáš Hellebrandt 2018-12-11 14:49:52 UTC
Verified with Sat 6.5 snap 7. Used reproducer from OP.

Comment 7 errata-xmlrpc 2019-05-14 12:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.